package entity

type KindBoxType string

const (
	KindBoxOnTable     = KindBoxType("on-table")
	KindBoxCylindrical = KindBoxType("cylindrical")
	KindBoxStandUp     = KindBoxType("stand-up")
)

var KindBoxTypeStrings = map[KindBoxType]string{
	KindBoxOnTable:     "on-table",
	KindBoxCylindrical: "cylindrical",
	KindBoxStandUp:     "stand-up",
}

func (s KindBoxType) IsValid() bool {
	_, ok := KindBoxTypeStrings[s]

	return ok
}
